Package org.eclipse.emf.cdo.spi.common.commit

## Class CDOChangeKindCache

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<CDOID,​CDOChangeKind>
    - - org.eclipse.emf.cdo.spi.common.commit.CDOChangeKindCache

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<CDOID,​CDOChangeKind>`, `CDOChangeKindProvider`

      public class CDOChangeKindCache
      extends java.util.HashMap<CDOID,​CDOChangeKind>
      implements CDOChangeKindProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOChangeKindCache​(CDOChangeSetData changeSetData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOChangeKind` | `getChangeKind​(CDOID id)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CDOChangeKindCache

          public CDOChangeKindCache​(CDOChangeSetData changeSetData)

  - ### Method Detail

    - #### getChangeKind

          public CDOChangeKind getChangeKind​(CDOID id)

      Specified by:
        `getChangeKind` in interface `CDOChangeKindProvider`